galaxy(6)

NAME
galaxy - draws spinning galaxies

SYNOPSIS
galaxy [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-ncolors integer] [-delay microseconds] [-cycles integer] [-count integer] [-size integer] [-tracks] [-no-tracks] [-spin] [-no-spin] [-fps]

DESCRIPTION
The galaxy program draws spinning galaxies.

OPTIONS
galaxy accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-ncolors integer
    How many colors should be used (if possible). Default 64. The colors used cycle through the hue, making N stops around the color wheel.

-cycles integer

-count integer

-size integer

-tracks

-no-tracks

-spin

-no-spin

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xlock(1)

COPYRIGHT
Copyright © 1994 by Hubert Feyrer. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Original Amiga version by Uli Siegmund <uli@wombat.okapi.sub.org>
 for EGS in Cluster. Ported from Cluster/EGS to C/Intuition by Harald Backert. Ported to X11 and xlockmore by Hubert Feyrer <hubert.feyrer@rz.uni-regensburg.de>, 30-Sep-94. Modified by David Bagley <bagleyd@bigfoot.com>, 23-Oct-94. Modified by Dave Mitchell <davem@magnet.com>, 7-Apr-97. Ability to run standalone or with xscreensaver added by Jamie Zawinski <jwz@jwz.org>, 10-May-97.